gene = "gid"
drug = "streptomycin"

rna_bind_aa_pos = c(96, 97, 118, 163)
binding_aa_pos = c(48, 51, 137, 200)
aa_plip = c(118, 220, 223)
aa_ligplus = c(118, 220, 223)

active_aa_pos = sort(unique(c(rna_bind_aa_pos
, binding_aa_pos
, aa_plip
, aa_ligplus)))
#rna_site = G518

cat("\nNo. of active site residues for gene"
    , gene, ":"
    , length(active_aa_pos)
    , "\nThese are:\n"
    , active_aa_pos)

cat("\n==================================================="
    , "\nActive site residues for", gene, "comprise of..."
    , "\n==================================================="
    , "\nRNA binding residues:"
    , rna_bind_aa_pos
    , "\nBinding site residues:"
    , binding_aa_pos)
